---
wsId: 
title: 'Multi Crypto Wallet: BTC & ETH'
altTitle: 
authors:
- leo
users: 500000
appId: mw.org.freewallet.app
appCountry: 
released: 2017-08-10
updated: 2021-09-16
version: 1.16.5
stars: 4.6
ratings: 14323
reviews: 1384
size: 
website: https://freewallet.org/
repository: 
issue: 
icon: mw.org.freewallet.app.png
bugbounty: 
meta: ok
verdict: custodial
date: 2019-12-22
signer: 
reviewArchive: 
twitter: freewalletorg
social:
- https://www.facebook.com/freewallet.org
redirect_from: 

---

According to the description

> In addition, the majority of cryptocurrency assets on the platform are stored
  in an offline vault. Your coins will be kept in cold storage with state of the
  art security protecting them.

This is a custodial app.

Our verdict: **not verifiable**.
